Subject: Re: Problem building CVS-1.10.x
From: "Trevor Forbes" <[email-masked]>
To: "Steven N. Hirsch" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 30 Dec 1999 07:59:38 +0930

Steve,

Just for interest, I compiled the latest cvs source (ccvs 1.10.7.1) and it
compiled perfectly with no errors. (Although I do get a warning about some
new feature not activated, it is significantly faster)

As stated previously, I have Cygwin CD Version 1 (retail package) and since
I installed it, my setup problems have reduced significantly.  It does not
solve all problems and has its own problems, but for me, I have never looked
back since installing it.  (Pity there is no patches for the cd released
other than snapshots).

Anyway, I think your problems will go away if you reinstall your setup from
*scratch* and install the "full" latest snapshot (not just the cygwin1.dll).

Just my opinion

Trevor

----- Original Message -----
From: "Earnie Boyd" <>
To: "Steven N. Hirsch" <[email-masked]>
Cc: "Trevor Forbes" <[email-masked]>; <[email-masked]>
Sent: Wednesday, 29 December 1999 9:49
Subject: Re: Problem building CVS-1.10.x

> --- "Steven N. Hirsch" <[email-masked]> wrote:
> -8<-
> > <sigh>, no my immediate problem is _not_ the line endings.  It's the
fact
> > that I'm unable to compile a working version of cvs-1.10.x.  It builds
> > without incident or error.  When I try to use it by doing, e.g.
> >
> > $ cvs co CVSROOT
> >
> > (against my own server)
> >
> > it spits out:
> >
> > cvs.exe [checkout aborted]: writing to server: The descriptor is a file,
> >  not a socket
> >
> > and dies.  This is the problem I need to solve.  Once I can get it
working
> > to begin with, I'll worry about modifying it to preserve line-endings.
> >
> > For whatever reason, no one else is reporting this runtime error.  The
> > error is coming from a section of code that tries to flush a buffer back
> > to the server in client.c of cvs.
>
> It sounds as if it's time to use gdb, use a previous version, or ask your
> question on a cvs user list.  I have the Cygwin CD Version 1 (retail
package)
> and it has CVS-1.10 built already as a contributed package.
>
>
> =====
> Earnie Boyd <mailto:[email-masked]>
> Cygwin Newbies, please visit
> <http://www.freeyellow.com/members5/gw32/index.html>
> __________________________________________________
> Do You Yahoo!?
> Talk to your friends online with Yahoo! Messenger.
> http://messenger.yahoo.com
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]